aboutsummaryrefslogtreecommitdiffstats
path: root/extraconfig/tasks/major_upgrade_ceph_storage.sh
diff options
context:
space:
mode:
authormarios <marios@redhat.com>2016-10-20 13:42:37 +0300
committermarios <marios@redhat.com>2016-10-20 13:42:37 +0300
commit7e09b70bc336b70be9042c8971ad020c6343d6c2 (patch)
tree104e16edb0c1ee29c83ea4a1c56b2075537f3711 /extraconfig/tasks/major_upgrade_ceph_storage.sh
parent01452606a4f92b666b8ca24e2fe8ac76d975c711 (diff)
Add special case handling for OVS upgrade in updates and upgrades
This adds a special case handling for the opensvswitch package as discussed at the related bug below. This is added/handled here for both the minor update and the major mitaka...newton upgrade. Change-Id: I9b1f0eaa0d36a28e20b507bec6a4e9b3af1781ae Closes-Bug: 1635205
Diffstat (limited to 'extraconfig/tasks/major_upgrade_ceph_storage.sh')
-rw-r--r--extraconfig/tasks/major_upgrade_ceph_storage.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/extraconfig/tasks/major_upgrade_ceph_storage.sh b/extraconfig/tasks/major_upgrade_ceph_storage.sh
index 56b54e22..e690a383 100644
--- a/extraconfig/tasks/major_upgrade_ceph_storage.sh
+++ b/extraconfig/tasks/major_upgrade_ceph_storage.sh
@@ -49,6 +49,20 @@ timeout 60 bash -c "while kill -0 ${OSD_PIDS} 2> /dev/null; do
sleep 2;
done"
+# Special-case OVS for https://bugs.launchpad.net/tripleo/+bug/1635205
+if [[ -n \$(rpm -q --scripts openvswitch | awk '/postuninstall/,/*/' | grep "systemctl.*try-restart") ]]; then
+ echo "Manual upgrade of openvswitch - restart in postun detected"
+ mkdir OVS_UPGRADE || true
+ pushd OVS_UPGRADE
+ echo "Attempting to downloading latest openvswitch with yumdownloader"
+ yumdownloader --resolve openvswitch
+ echo "Updating openvswitch with nopostun"
+ rpm -U --nopostun ./*.rpm
+ popd
+else
+ echo "Skipping manual upgrade of openvswitch - no restart in postun detected"
+fi
+
# Update (Ceph to Jewel)
yum -y install python-zaqarclient # needed for os-collect-config
yum -y update